<template>
  <v-app>
    <div class="main">
      <v-app-bar app>
        <v-app-bar-nav-icon></v-app-bar-nav-icon>

        <v-toolbar-title>Tour of Heroes</v-toolbar-title>

        <v-spacer></v-spacer>

        <v-btn icon v-on:click="NavFavorites()">
          <v-icon>mdi-heart</v-icon>
        </v-btn>

        <v-btn icon v-on:click="NavHeroes()">
          <v-icon>mdi-magnify</v-icon>
        </v-btn>

        <v-btn icon v-on:click="NavAddHero()">
          <v-icon class="fa fa-plus"></v-icon>
        </v-btn>

        <v-menu left bottom>
          <template v-slot:activator="{ on, attrs }">
            <v-btn icon v-bind="attrs" v-on="on">
              <v-icon>mdi-dots-vertical</v-icon>
            </v-btn>
          </template>

          <v-list>
            <v-list-item v-for="n in 5" :key="n" @click="() => {}">
              <v-list-item-title>Option {{ n }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-app-bar>

      <v-content class="main-content">
        <router-view></router-view>
      </v-content>
    </div>
  </v-app>
</template>

<script>
import axios from "axios";
import {public_key} from "./Marvel";
import {mapState, mapActions} from "vuex";


export default {
  name: 'App',

  created() {
    this.$store.dispatch('GetHeroes', 0)
    .then(()=>{
      console.log('ok')
    })
  },

  computed:{
    ...mapState({
      heroesList: state => state.heroes
    })
  },

  watch: {
    '$route' :{
        handler: (to, from) => {
          document.title = 'Tour of Heroes - ' + to.meta.title
        },
          immediate: true
      }
  },

  methods:{
    NavFavorites: function () {
      this.$router.push({path :"favorites"})
    },
    NavHeroes: function () {
      this.$router.push({path :"/"})
    },
    NavAddHero: function () {
      this.$router.push({path :"add"})
    }

  },

  data: () => ({
    //
  }),
};
</script>

<style scoped>
  .main{
    height: 100%;
    max-height: 100vh;
  }
  .main-content{
    height: 100%;
  }
  html, body{
    height: 100%;
  }
</style>